### Function

# Gimp context_set_foreground

#### Declaration [src]

    gboolean
    gimp_context_set_foreground (
      const GimpRGB* foreground
    )

#### Description [src]

Set the current GIMP foreground color.

This procedure sets the current GIMP foreground color. After this is set, operations which use foreground such as paint tools, blending, and bucket fill will use the new value.

Available since: | 2.2

#### Parameters

`foreground` | `GimpRGB`
| The foreground color.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.